play.data.binding

## Class BeanWrapper.Property

- java.lang.Object
- - play.data.binding.BeanWrapper.Property

- Enclosing class:
    BeanWrapper

      public static class BeanWrapper.Property
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setProfiles(java.lang.annotation.Annotation[] annotations)`
    `void` | `setValue(java.lang.Object instance, java.lang.Object value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setProfiles

          public void setProfiles(java.lang.annotation.Annotation[] annotations)

    - #### setValue

          public void setValue(java.lang.Object instance,
                               java.lang.Object value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly